Package org.eclipse.cdt.core.dom.ast.c

# Interface ICBasicType

All Superinterfaces:
  `Cloneable`, `IBasicType`, `IType`

public interface ICBasicType extends IBasicType

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IBasicType

`IBasicType.Kind`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`t_Bool`
Deprecated.
Use the type-safe version getKind(), instead.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBasicType

`IS_COMPLEX, IS_IMAGINARY, IS_LONG, IS_LONG_LONG, IS_SHORT, IS_SIGNED, IS_UNSIGNED, t_char, t_double, t_float, t_int, t_unspecified, t_void`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

## Method Summary

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBasicType

`getKind, getModifiers, getType, getValue, isComplex, isImaginary, isLong, isLongLong, isShort, isSigned, isUnsigned`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

## Field Details

### t_Bool

@Deprecated static final int t_Bool
Deprecated.
Use the type-safe version getKind(), instead.

See Also:
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.